List Integration By Id
Retrieve integration details
GET
JavaScript
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The integration id
JavaScript
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Check out our upcoming events and meetups! View events →
Retrieve integration details
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const integration = await client.ai.integrations.retrieve('integration_id');
console.log(integration.id);{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"available_tools": [
"<string>"
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The integration id
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const integration = await client.ai.integrations.retrieve('integration_id');
console.log(integration.id);{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"available_tools": [
"<string>"
]
}